#!/usr/bin/ruby
puts Time.now.to_s + "  Start"
puts "Starting load"
pid = spawn("dd if=/dev/urandom of=/dev/null")
sleep(2)

perfstat = "perf stat -e cpu-cycles,cpu-clock,task-clock --no-big-num "
perfrec =  "perf record -q -e cpu-cycles -c 1000000 -o /tmp/perf_data "
perfrept = "perf report -i /tmp/perf_data -s dso -g none >>log1perfrec.txt"
cmds = Array.new(3)
cmds[0] = perfstat + "./aliquot 10000000    >/dev/null 2>>log1perfstat.txt"
cmds[1] = perfrec  + "./aliquot 10000000    >/dev/null"
cmds[2] = "{ time     ./aliquot 10000000; } >/dev/null 2>>log1bash.txt"
for i in 1..1000
  print "\nIteration ", i, "\n"
  cmds.each{|cmd|
    puts cmd
    system(cmd)
  }
  system(perfrept)
  File.delete("/tmp/perf_data")
end

puts "Killing load"
Process.kill("TERM",pid)
puts Time.now.to_s + "  Done"
system("sync")
