#!/usr/bin/ruby
puts Time.now.to_s + "  Start"
perfstat = "perf stat -e cpu-cycles,cpu-clock,task-clock --no-big-num "
perfrec =  "perf record -q -e cpu-cycles -c 1000000 -o /tmp/perf_data "
perfrept = "perf report -i /tmp/perf_data -s dso -g none >>log2perfrec.txt"
cmds = Array.new(3)
cmds[0] = perfstat + "./aliquot-par.rb 2305843008139952128 8    >/dev/null 2>>log2perfstat.txt"
cmds[1] = perfrec  + "./aliquot-par.rb 2305843008139952128 8    >/dev/null"
cmds[2] = "{ time     ./aliquot-par.rb 2305843008139952128 8; } >/dev/null 2>>log2bash.txt"
for i in 1..1000
  print "\nIteration ", i, "\n"
  cmds.each{|cmd|
    puts cmd
    system(cmd)
  }
  system(perfrept)
  File.delete("/tmp/perf_data")
end
puts Time.now.to_s + "  Done"
system("sync")
