#!/usr/bin/ruby
puts Time.now.to_s + "  Start"
perfstat = "perf stat -e cpu-cycles,cpu-clock,task-clock --no-big-num "
perfrec =  "perf record -q -e cpu-cycles -c 1000000 -o /tmp/perf_data "
perfrept = "perf report -i /tmp/perf_data -s dso -g none >>log4perfrec.txt"
cmds = Array.new(3)
cmds[0] = perfstat + "./10sec-user    2>>log4perfstat.txt"
cmds[1] = perfrec  + "./10sec-user"
cmds[2] = "{ time     ./10sec-user; } 2>>log4bash.txt"
for i in 1..1000
  print "\nIteration ", i, "\n"
  cmds.each{|cmd|
    puts cmd
    system(cmd)
  }
  system(perfrept)
  File.delete("/tmp/perf_data")
end
puts Time.now.to_s + "  Done"
system("sync")
