data <- read.table("1-data.txt",header=T,colClasses="numeric")
layout(matrix(data=1:6,ncol=2,byrow=T),widths=c(1,1))
par(oma=c(0,0,1,0))
dmax <- max(data[,3:4])
for (depcol in 3:5) {
  for (os in 0:1) {
    dat1010 <- data[data$os==os,depcol]
    block1010 <- data[data$os==os,1]
    dvname <- colnames(data)[depcol]
    par(mar=c(2.5,4,1,1))
    plot(x=1:1010,y=dat1010,xaxs="i",col="blue",
         xaxt="n",yaxt="n",ylab=sprintf("%s (s)",dvname),
         ylim=if (depcol<5) c(7,dmax) else c(0,0.003))
    for (vert in 1:9) {
      abline(v=101*vert+0.5)
    }
    axis(side=1,at=(1:10)*101-50,labels=block1010[(1:10)*101])
    mtext("block",side=1,at=-30,line=1,cex=0.7)
    axis(side=2,at=if (depcol<5) 7:10 else seq(0,0.003,0.001))
  }
}
title(main="os=0",outer=T,adj=0.265)
title(main="os=1",outer=T,adj=0.785)
