foo <- function(x) {
  r <- range(x,na.rm=T)
  r[2]-r[1]
}

parms <- read.table("../2-parms.txt",header=T,colClasses="numeric")
cat(sprintf("Magnitude of ranges\n"))
temp <- rep(NA,12)
for (depvar in 1:4) {
  dvcol <- 4*depvar
  osests <- parms[is.na(parms$fp) & is.na(parms$prf),dvcol]
  fpests <- parms[is.na(parms$os) & is.na(parms$prf),dvcol]
  #prfests <- parms[is.na(parms$os) & is.na(parms$fp) & parms$prf!=0,dvcol]
  prfests <- parms[is.na(parms$os) & is.na(parms$fp),dvcol]
  cat(sprintf("Depvar %20s   os %f fp %f prf %f\n",
    colnames(parms)[dvcol], foo(osests),foo(fpests),foo(prfests)))
  temp[(depvar-1)*3+1] <- foo(osests)
  temp[(depvar-1)*3+2] <- foo(fpests)
  temp[(depvar-1)*3+3] <- foo(prfests)
}
cat(sprintf("Mean effect = %f\n", mean(temp)))
cat(sprintf("Median = %f\n", median(temp)))
cat(sprintf("Q1 = %f\n", quantile(temp,0.25)))
cat(sprintf("Q3 = %f\n", quantile(temp,0.75)))
