data <- read.table("../2-data.txt",header=T,colClasses="numeric")
data <- data[data$os==1 & data$fp==0 & data$prf==0,5]

pdf("materiality-scatter.pdf",pointsize=16)
par(mar=c(4,4,0.1,0.3))
plot(data,pch=20,col="blue",xaxt="n",yaxt="n",xlab="",ylab="")
cexaxis <- 1.1
axis(side=1,cex.axis=cexaxis)
axis(side=2,cex.axis=cexaxis)
title(xlab="Iteration",ylab="s",cex.lab=cexaxis)
dev.off()
